org.restlet.ext.netty.internal

## Enum NettyParams

- java.lang.Object
- - java.lang.Enum<NettyParams>
  - - org.restlet.ext.netty.internal.NettyParams

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NettyParams>

    public enum NettyParams
    extends java.lang.Enum<NettyParams>

Helper class that convert from Restlet options to Netty channel options.

Author:
  Gabriel Ciuloaica (gciuloaica@gmail.com)

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`bufferFactoryClass`
`certAlgorithm`
`connectTimeoutMillis`
`keepAlive`
`keyPassword`
`keystorePassword`
`keystorePath`
`keystoreType`
`needClientAuthentication`
`receiveBufferSize`
`reuseAddress`
`sendBufferSize`
`sslContextFactory`
`sslProtocol`
`trafficClass`
`truststorePassword`
`truststorePath`
`wantClientAuthentication`

### Method Summary

Methods
`java.lang.Object` `getValue(java.lang.String value)` Get converted value from a string option value.
`java.lang.Boolean` `isChannelOption()` Is this a channel option or not?
`static NettyParams` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NettyParams[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### keepAlive

    public static final NettyParams keepAlive

#### bufferFactoryClass

    public static final NettyParams bufferFactoryClass

#### connectTimeoutMillis

    public static final NettyParams connectTimeoutMillis

#### reuseAddress

    public static final NettyParams reuseAddress

#### receiveBufferSize

    public static final NettyParams receiveBufferSize

#### sendBufferSize

    public static final NettyParams sendBufferSize

#### trafficClass

    public static final NettyParams trafficClass

#### sslContextFactory

    public static final NettyParams sslContextFactory

#### keystorePath

    public static final NettyParams keystorePath

#### keystorePassword

    public static final NettyParams keystorePassword

#### keyPassword

    public static final NettyParams keyPassword

#### keystoreType

    public static final NettyParams keystoreType

#### truststorePath

    public static final NettyParams truststorePath

#### truststorePassword

    public static final NettyParams truststorePassword

#### certAlgorithm

    public static final NettyParams certAlgorithm

#### sslProtocol

    public static final NettyParams sslProtocol

#### needClientAuthentication

    public static final NettyParams needClientAuthentication

#### wantClientAuthentication

    public static final NettyParams wantClientAuthentication

### Method Detail

#### values

    public static NettyParams[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NettyParams c : NettyParams.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NettyParams valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public java.lang.Object getValue(java.lang.String value)

Get converted value from a string option value.

Parameters:
  `value` - - option value
Returns:
  Object instance

#### isChannelOption

    public java.lang.Boolean isChannelOption()

Is this a channel option or not?

Returns:
  true if the parameter is a channel option or false otherwise